package com.persagy.dmp.message.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.message.model.vo.MessageType;

import java.util.List;

/**
 * 消息类型 服务
 * @author Charlie Yu
 * @date 2021-05-24
 */
public interface IMessageTypeService {

    /**
     * 按条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<MessageType> queryWrapper);

    /**
     * 新增消息类型
     * @param voList
     * @return
     */
    List<MessageType>  insertMessageType(List<MessageType> voList);

    /**
     * 修改消息类型
     * @param voList
     * @return
     */
    List<MessageType> updateMessageType(List<MessageType> voList);

    /**
     * 删除消息类型
     * @param ids
     */
    void deleteMessageType(List<String> ids);

    /**
     * 通过主键查询
     * @param id
     * @return
     */
    MessageType load(String id);
}
